## s-tui 0.8.2

=== Makefile ===
# A make file for creating a s-tui executable.
# This requires pandoc and pyinstaller

all: stui del readme

# Create s-tui executable
stui:
	pyinstaller s_tui/s_tui.py -F -n s-tui
	mv dist/s-tui .


# Convert the markdown file to .rst file. Markdown for github, rst for PyPi
readme:
	pandoc --from markdown --to rst README.md > README.rst

# Remove files created by pyinstaller
del:
	rm -rf ./s_tui/dist/ ./build/ ./s_tui/s*.spec ./s_tui/*.pyc ./s_tui/*.log s-tui.spec dist/

# Clear pyinstall cache and delete file
clean:
	pyinstaller --clean s-tui
	rm -rf ./s_tui/dist/ ./s_tui/build/ ./s_tui/s*.spec ./s_tui/*.pyc ./s_tui/*.log s-tui.spec dist/

## s-tui 0.7.5

=== debian/changelog ===
s-tui (0.7.5-2) unstable; urgency=medium

  * Add python3-distutils as dependency (Closes: #905955)

 -- Jonathan Carter <jcc@debian.org>  Sun, 12 Aug 2018 21:30:49 +0200

s-tui (0.7.5-1) unstable; urgency=medium

  * Initial release (Closes: #905406)

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Aug 2018 08:02:22 +0200

=== debian/control ===
Source: s-tui
Section: utils
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-setuptools
Standards-Version: 4.2.0
Homepage: https://github.com/amanusk/s-tui
Vcs-Browser: https://salsa.debian.org/python-team/applications/s-tui
Vcs-Git: https://salsa.debian.org/python-team/applications/s-tui.git

Package: s-tui
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils
Description: terminal UI for monitoring your computer
 s-tui allows monitoring of CPU temperature, frequency,
 power and utilization in a graphical way from the terminal.
 .
 It requires no X server and has built-in integration with
 stress/stress-ng.

## s-tui 0.8.2

=== debian/changelog ===
s-tui (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Add debian/watch file
  * Update standards version to 4.2.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 30 Aug 2018 16:26:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-python,
                python3,
                python3-setuptools
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/amanusk/s-tui
 Vcs-Browser: https://salsa.debian.org/python-team/applications/s-tui
 Vcs-Git: https://salsa.debian.org/python-team/applications/s-tui.git

## s-tui 0.8.3

=== debian/changelog ===
s-tui (0.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 04 Dec 2018 10:04:37 +0200

s-tui (0.8.2-2) unstable; urgency=medium

  * Add dependency: python3-pkg-resources (Closes: #912782)
  * Run wrap-and-sort

 -- Jonathan Carter <jcc@debian.org>  Tue, 20 Nov 2018 13:36:36 +0200

=== debian/control ===
Source: s-tui
Section: utils
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3, python3-setuptools
Standards-Version: 4.2.1
Homepage: https://github.com/amanusk/s-tui
Vcs-Browser: https://salsa.debian.org/python-team/applications/s-tui
Vcs-Git: https://salsa.debian.org/python-team/applications/s-tui.git

Package: s-tui
Architecture: all
Depends: python3-distutils,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Description: terminal UI for monitoring your computer
 s-tui allows monitoring of CPU temperature, frequency,
 power and utilization in a graphical way from the terminal.
 .
 It requires no X server and has built-in integration with
 stress/stress-ng.

## s-tui 1.0.0

=== debian/changelog ===
s-tui (1.0.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add stress | stress-ng to dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Jan 2020 18:06:40 -0800

s-tui (1.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.5.0
  * Update debhelper-compat level to 12
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 29 Jan 2020 13:26:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: s-tui
 Section: utils
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python3, python3-setuptools
-Standards-Version: 4.2.1
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
+Build-Depends: debhelper-compat (= 12), dh-python, python3, python3-setuptools
+Standards-Version: 4.5.0
 Homepage: https://github.com/amanusk/s-tui
 Vcs-Browser: https://salsa.debian.org/python-team/applications/s-tui
 Vcs-Git: https://salsa.debian.org/python-team/applications/s-tui.git
@@ -12,6 +13,7 @@
 Architecture: all
 Depends: python3-distutils,
          python3-pkg-resources,
+         stress | stress-ng,
          ${misc:Depends},
          ${python3:Depends}
 Description: terminal UI for monitoring your computer

## s-tui 1.0.1

=== debian/changelog ===
s-tui (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Update debhelper-compat level to 13

 -- Jonathan Carter <jcc@debian.org>  Sun, 21 Jun 2020 14:48:42 +0200

## s-tui 1.0.2

=== debian/changelog ===
s-tui (1.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jonathan Carter ]
  * Add stress-ng|stress as suggestions (Closes: #961534)

 -- Jonathan Carter <jcc@debian.org>  Sun, 08 Nov 2020 13:06:36 +0200

s-tui (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 Jul 2020 12:59:50 +0200

=== debian/control ===
Source: s-tui
Section: utils
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/amanusk/s-tui
Vcs-Browser: https://salsa.debian.org/python-team/packages/s-tui
Vcs-Git: https://salsa.debian.org/python-team/packages/s-tui.git

Package: s-tui
Architecture: all
Depends: python3-distutils,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Suggests: stress-ng|stress
Description: terminal UI for monitoring your computer
 s-tui allows monitoring of CPU temperature, frequency,
 power and utilization in a graphical way from the terminal.
 .
 It requires no X server and has built-in integration with
 stress/stress-ng.

=== debian/watch ===
version=4
https://github.com//amanusk/s-tui/tags .*/v?(\d\S*)\.tar\.gz

## s-tui 1.1.3

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,6 @@
 	pyinstaller s_tui/s_tui.py -F -n s-tui
 	mv dist/s-tui .
 
-
-# Convert the markdown file to .rst file. Markdown for github, rst for PyPi
-readme:
-	pandoc --from markdown --to rst README.md > README.rst
-
 # Remove files created by pyinstaller
 del:
 	rm -rf ./s_tui/dist/ ./build/ ./s_tui/s*.spec ./s_tui/*.pyc ./s_tui/*.log s-tui.spec dist/

=== debian/changelog ===
s-tui (1.1.3-1) unstable; urgency=medium

  * New upstream release
  * Fix case for Rules-Requires-Root in control file
  * Update standards version to 4.6.1
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 19:38:05 +0200

s-tui (1.1.1-1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.5.1
  * Declare Rules-Requires-Root: no

 -- Jonathan Carter <jcc@debian.org>  Mon, 12 Apr 2021 14:23:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/amanusk/s-tui
 Vcs-Browser: https://salsa.debian.org/python-team/packages/s-tui
 Vcs-Git: https://salsa.debian.org/python-team/packages/s-tui.git
+Rules-Requires-Root: no
 
 Package: s-tui
 Architecture: all

## s-tui 1.1.4

=== debian/changelog ===
s-tui (1.1.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Jonathan Carter ]
  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Fri, 04 Nov 2022 10:05:49 +0200

## s-tui 1.1.6

=== debian/changelog ===
s-tui (1.1.6-1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 12:22:58 +0100

s-tui (1.1.6-1) unstable; urgency=medium

  * New upstream release (Closes: #1061880)
  * Update standards version to 4.6.2
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Mon, 05 Feb 2024 13:07:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/amanusk/s-tui
 Vcs-Browser: https://salsa.debian.org/python-team/packages/s-tui
 Vcs-Git: https://salsa.debian.org/python-team/packages/s-tui.git
@@ -11,8 +11,7 @@
 
 Package: s-tui
 Architecture: all
-Depends: python3-distutils,
-         python3-pkg-resources,
+Depends: python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: stress-ng|stress

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python3

## s-tui 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # A make file for creating a s-tui executable.
 # This requires pandoc and pyinstaller
 
-all: stui del readme
+all: stui del
 
 # Create s-tui executable
 stui:
@@ -16,3 +16,6 @@
 clean:
 	pyinstaller --clean s-tui
 	rm -rf ./s_tui/dist/ ./s_tui/build/ ./s_tui/s*.spec ./s_tui/*.pyc ./s_tui/*.log s-tui.spec dist/
+
+debug:
+	python -m s_tui.s_tui

=== debian/changelog ===
s-tui (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.2

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Aug 2025 20:31:18 +0200

s-tui (1.1.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove stale dependency on python3-pkg-resources (Closes: #1083787)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 01 Feb 2025 01:34:31 +0100

s-tui (1.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove stale dependency on python3-distutils (Closes: #1065952)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 15:24:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3,
+ python3-setuptools,
 Standards-Version: 4.6.2
 Homepage: https://github.com/amanusk/s-tui
 Vcs-Browser: https://salsa.debian.org/python-team/packages/s-tui
@@ -11,9 +15,9 @@
 
 Package: s-tui
 Architecture: all
-Depends: python3-pkg-resources,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends}
 Suggests: stress-ng|stress
 Description: terminal UI for monitoring your computer
  s-tui allows monitoring of CPU temperature, frequency,
